<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcxk.rmcp.core.dao.AreaMapper">
  <resultMap id="BaseResultMap" type="com.zcxk.rmcp.core.entity.Area">
    <!--@mbg.generated-->
    <!--@Table rmcp_area-->
    <result column="id" property="id" />
    <result column="parent_id" property="parentId" />
    <result column="name" property="name" />
    <result column="manger_name" property="mangerName" />
    <result column="short_name" property="shortName" />
    <result column="manger_short_name" property="mangerShortName" />
    <result column="level_type" property="levelType" />
    <result column="city_code" property="cityCode" />
    <result column="zip_code" property="zipCode" />
    <result column="pin_yin" property="pinYin" />
    <result column="jian_pin" property="jianPin" />
    <result column="first_char" property="firstChar" />
    <result column="lng" property="lng" />
    <result column="lat" property="lat" />
    <result column="remark" property="remark" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, parent_id, `name`, manger_name, short_name, manger_short_name, level_type, city_code, 
    zip_code, pin_yin, jian_pin, first_char, lng, lat, remark
  </sql>

  <select id="getList" resultType="com.zcxk.rmcp.api.vo.AreaVo">
    select id as code,parent_id as pid,name from rmcp_area
  </select>
</mapper>